[Web-SIG] a possible error in the WSGI spec

Graham Dumpleton graham.dumpleton at gmail.com
Sat Dec 29 00:55:54 CET 2007

On 27/12/2007, Phillip J. Eby <pje at telecommunity.com> wrote:
> At 09:36 AM 12/27/2007 +1100, Graham Dumpleton wrote:
> >Due to this inactivity at least, some I guess would like to see the
> >1.1 specification created or at least an amendment to 1.0 to at least
> >adjust points in the original specification that were in hindsight
> >wrong or impractical, plus allow for Python 3.0. It is a silly
> >situation to have that many if not all WSGI adapters in existence are
> >not even strictly in compliance with the specification.
> I'd love it if somebody would be so kind as to distill a summary of
> the points that need to go into a 1.0 errata/clarifications document,
> and I would be happy to update the PEP (and perhaps make it Final, at
> long last) following discussion and consensus where possible,
> pronouncement where not.
> I don't think a 1.1 is *necessarily* required; most of the issues
> that might make a 1.1 desirable may be better handled via a 2.0, and
> getting some closure on the issues that *can* be closed for 1.0 could
> be a good place to start that process.

I have created the page:


I added the obvious candidates.

Anyone else who has ever taken issue with the 1.0 specification,
please add any other things which you think would be reasonable.
Include links to mailing list archives where issue may have previously
been discussed.



More information about the Web-SIG mailing list